> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/core/consumers/updates-consumer-by-consumerid.md).

# Updates Consumer by ConsumerID

Changes the Consumer information already stored

```json
{"openapi":"3.1.0","info":{"title":"Core","version":"2.0"},"tags":[{"name":"Consumers"}],"servers":[{"description":"Furnishment sandbox server, for testing purposes (v2)","url":"https://sandbox.bloom.dev"},{"description":"Furnishment server","url":"https://api.bloomcredit.io"},{"description":"Production Consumer Permissioned Data server","url":"https://api.bloomplus.com"},{"description":"Development Consumer Permissioned Data server","url":"https://api.bloomplus.dev"}],"security":[{"OAuth2Application":["data-access:all","furnishment:all"]}],"components":{"securitySchemes":{"OAuth2Application":{"description":"Unified OAuth2 for Bloom, with implicit grant flow","flows":{"implicit":{"authorizationUrl":"https://authn.bloomcredit.dev/oauth2/token","scopes":{"data-access:all":"Grants data-access clients access to organization-specific information","furnishment:all":"Grants furnishment clients access to organization-specific information"}}},"type":"oauth2"}},"schemas":{"jsonapi.RequestBody-consumer_UpdateRequest":{"properties":{"data":{"$ref":"#/components/schemas/jsonapi.Entity-consumer_UpdateRequest"}},"required":["data"],"type":"object"},"jsonapi.Entity-consumer_UpdateRequest":{"properties":{"attributes":{"$ref":"#/components/schemas/consumer.UpdateRequest"},"id":{"format":"uuid","type":"string"},"type":{"type":"string"}},"required":["attributes","id"],"type":"object"},"consumer.UpdateRequest":{"properties":{"addresses":{"items":{"$ref":"#/components/schemas/models.Address"},"type":"array"},"date_of_birth":{"format":"date","type":"string"},"emails":{"items":{"$ref":"#/components/schemas/models.Email"},"type":"array"},"income":{"type":"string"},"ip_address":{"type":"string"},"name":{"$ref":"#/components/schemas/consumer.UpdateNameRequest"},"phones":{"items":{"$ref":"#/components/schemas/models.Phone"},"type":"array"},"ssn":{"description":"Social security number. To submit an Employer Identification Number (EIN) that starts with 9, set the `type` field to `business`.","type":"string"},"type":{"description":"Consumer type. When set to `business`, SSN validation is relaxed to allow Employer Identification Numbers (EINs) with a first digit of 9, which would otherwise be rejected by the 900-999 area group restriction.","enum":["business"],"type":"string"}},"type":"object"},"models.Address":{"properties":{"city":{"description":"City code","maxLength":50,"type":"string"},"id":{"format":"uuid","type":"string"},"line1":{"description":"Address basic info","maxLength":100,"type":"string"},"line2":{"description":"Address complementary info","type":"string"},"primary":{"description":"Flag to indicate if the address is the primary one","type":"boolean"},"state_code":{"description":"State code","type":"string"},"type":{"description":"Type of address, personal/work","enum":["personal","work"],"type":"string"},"zipcode":{"description":"Address postal code. For US addresses, a 5-digit format is required.","type":"string"}},"required":["city","line1","state_code","zipcode"],"type":"object"},"models.Email":{"properties":{"email_address":{"description":"Email Address. Supports the format described by IEFT RFC 5322 https://datatracker.ietf.org/doc/html/rfc5322#section-3.4.\n\tA valid email address consists of a local and a domain section, separated by an '@' character.\n\tSome valid examples of a valid email address are:\n\t* john.doe@example.com\n\t* john_doe@example.com\n\t* john-doe@example.com\n\t* johndoe@example.com\n\t* John Doe <johndoe@example.com>\n\t* johndoe+business@example.com (the '+' character is allowed in the local section)\n\t* johndoe+business@subdomain.example.com (subdomains work as well)\n\t* \"john-doe\"@examle.com (the local section can be quoted by double quotes only)\n\t* \"^john$doe*\"@example.com (when the local section is quoted, '!#$%&'*+-/=?^_`{|}~' characters are allowed)","type":"string"},"primary":{"description":"primary email or not","type":"boolean"},"type":{"description":"type of email, personal/work","enum":["personal","work"],"type":"string"}},"required":["email_address"],"type":"object"},"consumer.UpdateNameRequest":{"properties":{"first_name":{"type":"string"},"generation_code":{"enum":["Jr","Sr","II","III","IV","V","VI","VII","VIII","IX"],"type":"string"},"last_name":{"type":"string"},"middle_name":{"type":"string"}},"type":"object"},"models.Phone":{"properties":{"phone_number":{"description":"Phone number. Format must follow the NANP in 10-digit notation. Can include spaces, dashes, or periods, may be prefixed with US country code or include parenthesized area code.\n\tNote that only US phone numbers are accepted, as is by credit bureaus (country codes other than 1 or +1 are rejected).\n\tIn order to improve bureau match rates, phone numbers are normalized internally to remove any non-numeric characters.\n\n\tSome examples of a valid phone number are as follows:\n\t\"1234567890\",\n\t\"123-456-7890\",\n\t\"123 456 7890\",\n\t\"(123) 456 7890\",\n\t\"(123) 456-7890\",\n\t\"(123)456-7890\",\n\t\"123.456.7890\",\n\t\"123 456-7890\",\n\t\"+1123 456-7890\",\n\t\"1123 456-7890\",\n\t\"+1(123) 456-7890\"","type":"string"},"primary":{"description":"primary phone or not","type":"boolean"},"type":{"description":"type of phone, personal/work","enum":["personal","work"],"type":"string"}},"required":["phone_number"],"type":"object"},"jsonapi.ResponseBody-consumer_UpdateRequest":{"properties":{"data":{"$ref":"#/components/schemas/jsonapi.Entity-consumer_UpdateRequest"}},"required":["data"],"type":"object"},"jsonapi.FailureResponse":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/jsonapi.Error"},"type":"array"}},"required":["errors"],"type":"object"},"jsonapi.Error":{"properties":{"detail":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"}},"required":["status","title"],"type":"object"}}},"paths":{"/v2/core/consumers/{consumer}":{"patch":{"description":"Changes the Consumer information already stored","operationId":"updateConsumerV2","parameters":[{"description":"Consumer identifier, with UUID format","in":"path","name":"consumer","required":true,"schema":{"format":"uuid","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/jsonapi.RequestBody-consumer_UpdateRequest"}}},"description":"Consumer fields to update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/jsonapi.ResponseBody-consumer_UpdateRequest"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/jsonapi.FailureResponse"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/jsonapi.FailureResponse"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/jsonapi.FailureResponse"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/jsonapi.FailureResponse"}}},"description":"Internal Server Error"}},"summary":"Updates Consumer by ConsumerID","tags":["Consumers"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/core/consumers/updates-consumer-by-consumerid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
